Page MenuHomePhabricator

[identity] Move UpdateUserPassword RPCs
ClosedPublic

Authored by bartek on Nov 20 2023, 4:20 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jun 21, 7:56 PM
Unknown Object (File)
Fri, Jun 21, 3:00 AM
Unknown Object (File)
Tue, Jun 18, 11:41 PM
Unknown Object (File)
Sun, May 26, 10:38 AM
Unknown Object (File)
May 23 2024, 4:55 AM
Unknown Object (File)
May 9 2024, 10:24 AM
Unknown Object (File)
May 5 2024, 5:06 AM
Unknown Object (File)
May 5 2024, 5:06 AM
Subscribers

Details

Summary

Moved UpdateUserPassword RPC to the authenticated proto.

Depends on D9929

Test Plan

Registered with Identity Service, was able to log in. Hardcoded call to update_user_password() in native client and verified that password was updated by performning login again.

Diff Detail

Repository
rCOMM Comm
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

bartek held this revision as a draft.
bartek published this revision for review.Nov 20 2023, 4:51 AM
This revision is now accepted and ready to land.Nov 20 2023, 11:38 AM
varun requested changes to this revision.Nov 27 2023, 10:25 AM

i forgot that we need to update the gRPC web codegen files. can you please do that?

This revision now requires changes to proceed.Nov 27 2023, 10:25 AM
In D9930#292405, @varun wrote:

i forgot that we need to update the gRPC web codegen files. can you please do that?

I created D10064 to update them all at once

This revision is now accepted and ready to land.Nov 29 2023, 6:09 AM
This revision was automatically updated to reflect the committed changes.